curl --request POST \
--url https://api.runtools.ai/v1/ssh-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"publicKey": "<string>",
"orgWide": false,
"isDefault": false,
"alwaysInclude": false
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"fingerprint": "<string>",
"keyType": "ssh-ed25519",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isDefault": true,
"alwaysInclude": true,
"ownerDisplayName": "<string>",
"ownerEmail": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z"
}
}curl --request POST \
--url https://api.runtools.ai/v1/ssh-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"publicKey": "<string>",
"orgWide": false,
"isDefault": false,
"alwaysInclude": false
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"fingerprint": "<string>",
"keyType": "ssh-ed25519",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isDefault": true,
"alwaysInclude": true,
"ownerDisplayName": "<string>",
"ownerEmail": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt
Use this file to discover all available pages before exploring further.
WorkOS session token or RunTools API key (rt_live_* / rt_test_*).
Used in Authorization: Bearer <token> header.
Created.
Show child attributes